import Link from "next/link";
import Image from "next/image";
import iconImg from "@/assets/images/brand/icon.svg";
import IconBox from "./IconBox";
import SocialLinks from "./SocialLinks";
import Links from "./Links";

export default function Navbar() {
  return (
    <nav className="fixed z-[1000] top-0 left-0 w-full border-b border-white/10 bg-[#070F11]">
      <div className="mx-auto container max-w-[1435px] px-14 h-[65px] flex justify-between items-center">
        <div className="flex items-center gap-8">
          <Link href={"/"} className="flex">
            <Image src={iconImg} alt="" className="w-[32px]" />
          </Link>

          <span className="w-px h-[14px] bg-white/25"></span>

          <Links />
        </div>

        <div className="flex items-center gap-6">
          <SocialLinks />

          <IconBox text="Rent a GPU" hasRightArrowIcon />
        </div>
      </div>
    </nav>
  );
}
